<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1"
 http-equiv="Content-Type">
  <title></title>
</head>
<body text="#000000" bgcolor="#ffffff">
I'm actually getting the same exact error with IPython 0.11 from git:<br>
<pre>~$ python
Python 2.6.5 (r265:79063, Apr 16 2010, 13:09:56) 
[GCC 4.4.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
&gt;&gt;&gt; import IPython
&gt;&gt;&gt; IPython.__version__
'0.11.alpha1.git'
&gt;&gt;&gt; 
~$ cd ipython/docs
~/ipython/docs$ make html
mkdir -p build/html build/doctrees
sphinx-build -b html -d build/doctrees   source build/html
Running Sphinx v0.6.5
loading pickled environment... not found
building [html]: targets for 288 source files that are out of date
updating environment: 288 added, 0 changed, 0 removed
reading sources... [  1%] api/generated/IPython.ColorANSI                      
Exception occurred:
  File "/home/wendell/ipython/docs/sphinxext/inheritance_diagram.py", line 107, in _import_class_or_module
    "Could not import class or module '%s' specified for inheritance diagram" % name)
ValueError: Could not import class or module 'IPython.ColorANSI' specified for inheritance diagram
The full traceback has been saved in /tmp/sphinx-err-ZTHtdX.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
Either send bugs to the mailing list at <a class="moz-txt-link-rfc2396E" href="http://groups.google.com/group/sphinx-dev/">&lt;http://groups.google.com/group/sphinx-dev/&gt;</a>,
or report them in the tracker at <a class="moz-txt-link-rfc2396E" href="http://bitbucket.org/birkenfeld/sphinx/issues/">&lt;http://bitbucket.org/birkenfeld/sphinx/issues/&gt;</a>. Thanks!
make: *** [html] Error 1

</pre>
This looks like an error involved with the old IPython setup; I did
previously have 0.10 on here (I think through easy_install), but I have
no idea why sphinx is searching for IPython.ColorANSI. Any ideas?<br>
<br>
-Wendell<br>
<br>
On 06/26/2010 03:36 AM, Fernando Perez wrote:
<blockquote
 cite="mid:AANLkTilol1CGLZPBkwTDeSJnenkiLitxJR4vmTciZCk5@mail.gmail.com"
 type="cite">
  <pre wrap="">Hi Roberto,

On Fri, Jun 25, 2010 at 11:08 PM, Roberto Bonvallet
<a class="moz-txt-link-rfc2396E" href="mailto:rbonvall@csrg.inf.utfsm.cl">&lt;rbonvall@csrg.inf.utfsm.cl&gt;</a> wrote:
  </pre>
  <blockquote type="cite">
    <pre wrap="">Hi all,
I must be missing something obvious, but I cannot build the documentation.
I tried with Sphinx v0.6.6 and a fresh clone from the Github repository.

When I tried to "make html" on my Ubuntu box at home, I got an NameError
saying that __IPYTHON__ was not defined. I tried running do_sphinx.py from
a IPython session, but it didn't work either.

    </pre>
  </blockquote>
  <pre wrap="">
Both of these errors  are pointing to code from 0.10.x.  Is there a
chance you may have downloaded the git trunk but have an older one
installed?  Since sphinx imports modules to document them, it may be
getting confused if 'import IPython' is finding the older version...

Cheers,

f
_______________________________________________
IPython-User mailing list
<a class="moz-txt-link-abbreviated" href="mailto:IPython-User@scipy.org">IPython-User@scipy.org</a>
<a class="moz-txt-link-freetext" href="http://mail.scipy.org/mailman/listinfo/ipython-user">http://mail.scipy.org/mailman/listinfo/ipython-user</a>
  </pre>
</blockquote>
<br>
</body>
</html>